#include "other.h"
#include <pthread.h>

size_t req_padding(size_t size) {
    if(size <= 32)
        return 32;
    if(size <= 64)
        return 64;
    if(size <= 128)
        return 128;
    if(size <= 256)
        return 256;
    return size;
}

int map_size_to_list(heap_t *heap, size_t sz) {
    int i;
    maptable_node_t *node;
    i = 0;
    node = heap->maptable_head;
    while(node) {
        if(node->size == sz) {
            return i;
        }
        i++;
        node = node->next;
    }
    return -1;
}

// Random assignment
int map_thread_heap(void) {
    return (int) (((unsigned long) pthread_self() >> 10) % NUM_HEAPS);
}

