#include "posix_lock.h"
#include <pthread.h>

pthread_mutex_t sbrk_mutex = PTHREAD_MUTEX_INITIALIZER;

void sbrk_lock(void) {
    pthread_mutex_lock(&sbrk_mutex);
}

void sbrk_unlock(void) {
    pthread_mutex_unlock(&sbrk_mutex);
}

void posix_lock(heap_t *heap) {
    pthread_mutex_lock(&heap->mutex);
}

void posix_unlock(heap_t *heap) {
    pthread_mutex_unlock(&heap->mutex);
}

