#ifndef COALESCE_H
#define COALESCE_H

#include <dmmlib/heap.h>

/**
 * Merges a memory block with its previous one if the latter one is free.
 *
 * @param ptr The memory block to be checked.
 * @param heap The heap of the memory block.
 */
void * coalesce(void *ptr, heap_t *heap);

#endif /* COALESCE_H */

