#ifndef DMM_ADAPTOR_H
#define DMM_ADAPTOR_H

#include <dmmlib/heap.h>

void set_frag_params(heap_t *heap);
void set_foot_params(heap_t *heap);

float get_current_fragmentation(heap_t *heap);
void check_footprint(heap_t *heap);
void malloc_state_refresh(heap_t *heap);
void free_state_refresh(heap_t *heap);

#endif /* DMM_ADAPTOR_H */
